internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename > Class Template Reference

`#include <_flow_graph_streaming_node.h>`

Inheritance diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >:
Collaboration diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >:

## Protected Member Functions

template<typename ... Args>
void | enqueue_kernel_impl (kernel_input_tuple &, StreamFactory &factory, device_type device, const kernel_type &kernel, Args &... args) const

## Private Types

typedef StreamFactory::device_type | device_type
typedef StreamFactory::kernel_type | kernel_type
typedef KernelInputTuple | kernel_input_tuple

## Detailed Description

### template<typename StreamFactory, typename KernelInputTuple, typename = void>
class internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >

Definition at line 186 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## device_type

template<typename StreamFactory, typename KernelInputTuple, typename = void>

typedef StreamFactory::device_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >::device_type

private

Definition at line 187 of file _flow_graph_streaming_node.h.

## kernel_input_tuple

template<typename StreamFactory, typename KernelInputTuple, typename = void>

typedef KernelInputTuple internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >::kernel_input_tuple

private

Definition at line 189 of file _flow_graph_streaming_node.h.

## kernel_type

template<typename StreamFactory, typename KernelInputTuple, typename = void>

typedef StreamFactory::kernel_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >::kernel_type

private

Definition at line 188 of file _flow_graph_streaming_node.h.

## Member Function Documentation

## enqueue_kernel_impl()

template<typename StreamFactory, typename KernelInputTuple, typename = void>
template<typename ... Args>

void internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >::enqueue_kernel_impl | ( | kernel_input_tuple & | ,
|  | StreamFactory & | factory,
|  | device_type | device,
|  | const kernel_type & | kernel,
|  | Args &... | args
| ) |  | const

inline protected

Definition at line 192 of file _flow_graph_streaming_node.h.

{
factory.send_kernel( device, kernel, args... );
}

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.